commit 6dac5d60fabebda09ba3e3dddcf3267bf21e2ba1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri May 5 00:18:26 2023 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 33ac88accd0..c7cf1827737 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2023-05-04  Richard Biener  <rguenther@suse.de>
+
+	Revert:
+	2023-02-07  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/106809
+	* tree-ssa-sccvn.c (dominaged_by_p_w_unex): Check we have
+	more than one successor before doing extra work.
+
 2023-05-03  Anthony Sharp  <anthonysharp15@gmail.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2e0cd4ba7e1..fcb6f128085 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230504
+20230505
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index df4a53ebf05..34d0f8d74ec 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2023-05-04  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2023-05-04  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/109724
+	* g++.dg/torture/pr109724.C: New testcase.
+
+2023-05-04  Richard Biener  <rguenther@suse.de>
+
+	Revert:
+	2023-05-04  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/106809
+	* gcc.dg/torture/pr106809.c: New testcase.
+
 2023-05-03  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

